# class Tk::Tcllib::Widget::Toolbar

### Constants

PACKAGE_NAME
TkCommandNames

### Public Class Methods

package_name() click to toggle source

    # File lib/tkextlib/tcllib/toolbar.rb, line 20
    def self.package_name
      PACKAGE_NAME
    end

package_version() click to toggle source

    # File lib/tkextlib/tcllib/toolbar.rb, line 24
    def self.package_version
      begin
        TkPackage.require('widget::toolbar')
      rescue
        ''
      end
    end

### Public Instance Methods

__destroy_hook__() click to toggle source

    # File lib/tkextlib/tcllib/toolbar.rb, line 127
    def __destroy_hook__
      Tk::Tcllib::Widget::ToolbarItem::ToolbarItemID_TBL.mutex.synchronize{
        Tk::Tcllib::Widget::ToolbarItem::ToolbarItemID_TBL.delete(@path)
      }
    end

add(*args) click to toggle source

    # File lib/tkextlib/tcllib/toolbar.rb, line 148
    def add(*args)
      Tk::Tcllib::Widget::Toolbar.new(self, *args)
    end

delete(*items) click to toggle source

    # File lib/tkextlib/tcllib/toolbar.rb, line 172
    def delete(*items)
      tk_send('delete', *items)
      self
    end

get_frame()
Alias for: getframe
getframe() click to toggle source

    # File lib/tkextlib/tcllib/toolbar.rb, line 143
    def getframe
      window(tk_send('getframe'))
    end

Also aliased as: get_frame
itemid(item) click to toggle source

    # File lib/tkextlib/tcllib/toolbar.rb, line 152
    def itemid(item)
      window(tk_send('itemid'))
    end

items(pattern) click to toggle source

    # File lib/tkextlib/tcllib/toolbar.rb, line 156
    def items(pattern)
      tk_split_simplelist(tk_send('items', pattern)).map{|id|
        Tk::Tcllib::Widget::ToolbarItem.id2obj(self, id)
      }
    end

remove(*items) click to toggle source

    # File lib/tkextlib/tcllib/toolbar.rb, line 162
    def remove(*items)
      tk_send('remove', *items)
      self
    end

remove_with_destroy(*items) click to toggle source

    # File lib/tkextlib/tcllib/toolbar.rb, line 167
    def remove_with_destroy(*items)
      tk_send('remove', '-destroy', *items)
      self
    end

### Private Instance Methods

create_self(keys) click to toggle source

    # File lib/tkextlib/tcllib/toolbar.rb, line 133
    def create_self(keys)
      if keys and keys != None
        tk_call_without_enc(self.class::TkCommandNames[0], @path,
                            *hash_kv(keys, true))
      else
        tk_call_without_enc(self.class::TkCommandNames[0], @path)
      end
    end